Get Places Additional Details

From docs
Jump to: navigation, search

Mobile_API »Get Place Phone Details

Base URL

https://apimobile.callproof.com

Endpoint

/api/place-details/{contact_id}

Purpose

Retrieves Google Place phone (and website) details for a contact that is linked to a place record. If a phone number is found, it is normalized, saved to the place/contact, set as the contact’s default phone when applicable, and returned to the client.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token
Version-Number No App version used when deciding whether to call Google Places details for phone/website (used when version is 5.072 or higher)

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

Parameter Type Required Description
contact_id integer Yes Unique identifier of the contact linked to a Google Place

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/place-details/YOUR_CONTACT_ID' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'Version-Number: YOUR_APP_VERSION' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/place-details/YOUR_CONTACT_ID' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'Version-Number: YOUR_APP_VERSION' 

Successful Response (200)

Returns the retrieved/saved place phone details.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data object Place phone payload
uri string Requested resource URI

data

Field Type Description
phone_id integer Identifier of the contact phone record that was created or updated
phone_number string Normalized phone number retrieved for the place

Error Responses

Status Code Meaning
400 Bad Request – place phone details could not be retrieved or saved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – No matching place/contact records ("No Records Found"), no phone number found ("No Phone Number Found"), or another retrieval/save error (for example, "Error while retrieving place phone details").
  • 401 – Authentication failed or the access token is missing/expired.